twitter4j.api

## Interface UsersResources

All Known Subinterfaces:
  Twitter

    public interface UsersResources

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`User` `createBlock(long userId)` Blocks the user specified in the ID parameter as the authenticating user.
`User` `createBlock(String screenName)` Blocks the user specified in the ID parameter as the authenticating user.
`User` `createMute(long userId)` Mutes the user specified in the ID parameter as the authenticating user.
`User` `createMute(String screenName)` Mutes the user specified in the screen name parameter as the authenticating user.
`User` `destroyBlock(long userId)` Un-blocks the user specified in the ID parameter as the authenticating user.
`User` `destroyBlock(String screen_name)` Un-blocks the user specified in the ID parameter as the authenticating user.
`User` `destroyMute(long userId)` Un-mutes the user specified in the ID parameter as the authenticating user.
`User` `destroyMute(String screenName)` Un-mutes the user specified in the screen name parameter as the authenticating user.
`AccountSettings` `getAccountSettings()` Returns the current trend, geo, language, timezone and sleep time information for the authenticating user.
`IDs` `getBlocksIDs()` Returns an array of numeric user ids the authenticating user is blocking.
`IDs` `getBlocksIDs(long cursor)` Returns an array of numeric user ids the authenticating user is blocking.
`PagableResponseList<User>` `getBlocksList()` Returns a list of user objects that the authenticating user is blocking.
`PagableResponseList<User>` `getBlocksList(long cursor)` Returns a list of user objects that the authenticating user is blocking.
`ResponseList<User>` `getContributees(long userId)` Returns an array of users that the specified user can contribute to.
`ResponseList<User>` `getContributees(String screenName)` Returns an array of users that the specified user can contribute to.
`ResponseList<User>` `getContributors(long userId)` Returns an array of users who can contribute to the specified account.
`ResponseList<User>` `getContributors(String screenName)` Returns an array of users who can contribute to the specified account.
`IDs` `getMutesIDs(long cursor)` Returns an array of numeric user ids the authenticating user is muting.
`PagableResponseList<User>` `getMutesList(long cursor)` Returns a list of user objects that the authenticating user is muting.
`ResponseList<User>` `lookupUsers(long... ids)` Return up to 100 users worth of extended information, specified by either ID, screen name, or combination of the two.
`ResponseList<User>` `lookupUsers(String... screenNames)` Return up to 100 users worth of extended information, specified by either ID, screen name, or combination of the two.
`void` `removeProfileBanner()` Removes the uploaded profile banner for the authenticating user.
`ResponseList<User>` `searchUsers(String query, int page)` Run a search for users similar to the Find People button on Twitter.com; the same results returned by people search on Twitter.com will be returned by using this API. Usage note: It is only possible to retrieve the first 1000 matches from this API.
`User` `showUser(long userId)` Returns extended information of a given user, specified by ID or screen name as per the required id parameter.
`User` `showUser(String screenName)` Returns extended information of a given user, specified by ID or screen name as per the required id parameter.
`AccountSettings` `updateAccountSettings(Integer trendLocationWoeid, Boolean sleepTimeEnabled, String startSleepTime, String endSleepTime, String timeZone, String lang)` Updates the current trend, geo, language, timezone and sleep time information for the authenticating user.
`AccountSettings` `updateAllowDmsFrom(String allowDmsFrom)` Updates the allowDmsFrom settings for the authenticating user.
`User` `updateProfile(String name, String url, String location, String description)` Sets values that users are able to set under the "Account" tab of their settings page.
`User` `updateProfileBackgroundImage(File image, boolean tile)` Deprecated. Since Twitter4J 4.0.7
`User` `updateProfileBackgroundImage(InputStream image, boolean tile)` Updates the authenticating user's profile background image.
`void` `updateProfileBanner(File image)` Uploads a profile banner on behalf of the authenticating user.
`void` `updateProfileBanner(InputStream image)` Uploads a profile banner on behalf of the authenticating user.
`User` `updateProfileColors(String profileBackgroundColor, String profileTextColor, String profileLinkColor, String profileSidebarFillColor, String profileSidebarBorderColor)` Deprecated. Since Twitter4J 4.0.5
`User` `updateProfileImage(File image)` Updates the authenticating user's profile image.
`User` `updateProfileImage(InputStream image)` Updates the authenticating user's profile image.
`User` `verifyCredentials()` Returns an HTTP 200 OK response code and a representation of the requesting user if authentication was successful; returns a 401 status code and an error message if not.

### Method Detail

#### getAccountSettings

    AccountSettings getAccountSettings()
                                throws TwitterException

Returns the current trend, geo, language, timezone and sleep time information for the authenticating user.
This method has not been finalized and the interface is subject to change in incompatible ways.
This method calls https://api.twitter.com/1.1/account/settings.json

Returns:
  the current trend, geo and sleep time information for the authenticating user.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.9
See Also:
  GET account/settings | Twitter Developers

#### verifyCredentials

    User verifyCredentials()
                    throws TwitterException

Returns an HTTP 200 OK response code and a representation of the requesting user if authentication was successful; returns a 401 status code and an error message if not. Use this method to test if supplied user credentials are valid.
This method calls https://api.twitter.com/1.1/account/verify_credentials.json

Returns:
  user
Throws:
  `TwitterException` - when Twitter service or network is unavailable, or if supplied credential is wrong (TwitterException.getStatusCode() == 401)
Since:
  Twitter4J 2.0.0
See Also:
  GET account/verify_credentials | Twitter Developers

#### updateAccountSettings

    AccountSettings updateAccountSettings(Integer trendLocationWoeid,
                                          Boolean sleepTimeEnabled,
                                          String startSleepTime,
                                          String endSleepTime,
                                          String timeZone,
                                          String lang)
                                   throws TwitterException

Updates the current trend, geo, language, timezone and sleep time information for the authenticating user.
This method has not been finalized and the interface is subject to change in incompatible ways.
This method calls https://api.twitter.com/1.1/account/settings.json

Parameters:
  `trendLocationWoeid` - Optional. The Yahoo! Where On Earth ID to use as the user's default trend location.
  `sleepTimeEnabled` - Optional. Whether sleep time is enabled for the user
  `startSleepTime` - Optional. The hour that sleep time should begin if it is enabled.
  `endSleepTime` - Optional. The hour that sleep time should end if it is enabled.
  `timeZone` - Optional. The timezone dates and times should be displayed in for the user.
  `lang` - Optional. The language which Twitter should render in for this user. (two letter ISO 639-1)
Returns:
  the current trend, geo and sleep time information for the authenticating user.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.2.4
See Also:
  POST account/settings | Twitter Developers

#### updateAllowDmsFrom

    AccountSettings updateAllowDmsFrom(String allowDmsFrom)
                                throws TwitterException

Updates the allowDmsFrom settings for the authenticating user.
This method has not been finalized and the interface is subject to change in incompatible ways.
This method calls https://api.twitter.com/1.1/account/settings.json
This method requires whitelisting from Twitter: https://twittercommunity.com/t/api-updates-for-direct-messages-rules/36061

Parameters:
  `allowDmsFrom` - Optional. "all" for anyone, "followers" for friends only
Returns:
  the current trend, geo and sleep time information for the authenticating user.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.7

#### updateProfile

    User updateProfile(String name,
                       String url,
                       String location,
                       String description)
                throws TwitterException

Sets values that users are able to set under the "Account" tab of their settings page. Only the parameters specified(non-null) will be updated.
This method calls https://api.twitter.com/1.1/account/update_profile.json

Parameters:
  `name` - Optional. Maximum of 20 characters.
  `url` - Optional. Maximum of 100 characters. Will be prepended with "http://" if not present.
  `location` - Optional. Maximum of 30 characters. The contents are not normalized or geocoded in any way.
  `description` - Optional. Maximum of 160 characters.
Returns:
  the updated user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.8
See Also:
  POST account/update_profile | Twitter Developers

#### updateProfileBackgroundImage

    User updateProfileBackgroundImage(File image,
                                      boolean tile)
                               throws TwitterException

Deprecated. Since Twitter4J 4.0.7
Updates the authenticating user's profile background image.
This method calls https://api.twitter.com/1.1/account/update_profile_background_image.json

Parameters:
  `image` - Must be a valid GIF, JPG, or PNG image of less than 800 kilobytes in size. Images with width larger than 2048 pixels will be forceably scaled down.
  `tile` - If set to true the background image will be displayed tiled. The image will not be tiled otherwise.
Returns:
  the updated user
Throws:
  `TwitterException` - when Twitter service or network is unavailable, or when the specified file is not found (FileNotFoundException will be nested), or when the specified file object in not representing a file (IOException will be nested)
Since:
  Twitter4J 2.1.0
See Also:
  POST account/update_profile_background_image | Twitter Developers

#### updateProfileBackgroundImage

    User updateProfileBackgroundImage(InputStream image,
                                      boolean tile)
                               throws TwitterException

Updates the authenticating user's profile background image.
This method calls https://api.twitter.com/1.1/account/update_profile_background_image.json

Parameters:
  `image` - Must be a valid GIF, JPG, or PNG image of less than 800 kilobytes in size. Images with width larger than 2048 pixels will be forceably scaled down.
  `tile` - If set to true the background image will be displayed tiled. The image will not be tiled otherwise.
Returns:
  the updated user
Throws:
  `TwitterException` - when Twitter service or network is unavailable, or when the specified file is not found (FileNotFoundException will be nested), or when the specified file object in not representing a file (IOException will be nested)
Since:
  Twitter4J 2.1.11
See Also:
  POST account/update_profile_background_image | Twitter Developers

#### updateProfileColors

    User updateProfileColors(String profileBackgroundColor,
                             String profileTextColor,
                             String profileLinkColor,
                             String profileSidebarFillColor,
                             String profileSidebarBorderColor)
                      throws TwitterException

Deprecated. Since Twitter4J 4.0.5
Sets one or more hex values that control the color scheme of the authenticating user's profile page on twitter.com. Each parameter's value must be a valid hexadecimal value, and may be either three or six characters (ex: #fff or #ffffff).
This method calls https://api.twitter.com/1.1/account/update_profile_colors.json

Parameters:
  `profileBackgroundColor` - optional, can be null
  `profileTextColor` - optional, can be null
  `profileLinkColor` - optional, can be null
  `profileSidebarFillColor` - optional, can be null
  `profileSidebarBorderColor` - optional, can be null
Returns:
  the updated user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.0
See Also:
  POST account/update_profile_colors | Twitter Developers

#### updateProfileImage

    User updateProfileImage(File image)
                     throws TwitterException

Updates the authenticating user's profile image.
This method calls https://api.twitter.com/1.1/account/update_profile_image.json

Parameters:
  `image` - Must be a valid GIF, JPG, or PNG image of less than 700 kilobytes in size. Images with width larger than 500 pixels will be scaled down.
Returns:
  the updated user
Throws:
  `TwitterException` - when Twitter service or network is unavailable, or when the specified file is not found (FileNotFoundException will be nested), or when the specified file object in not representing a file (IOException will be nested)
Since:
  Twitter4J 2.1.0
See Also:
  POST account/update_profile_image | Twitter Developers

#### updateProfileImage

    User updateProfileImage(InputStream image)
                     throws TwitterException

Updates the authenticating user's profile image.
This method calls https://api.twitter.com/1.1/account/update_profile_image.json

Parameters:
  `image` - Must be a valid GIF, JPG, or PNG image of less than 700 kilobytes in size. Images with width larger than 500 pixels will be scaled down.
Returns:
  the updated user
Throws:
  `TwitterException` - when Twitter service or network is unavailable, or when the specified file is not found (FileNotFoundException will be nested), or when the specified file object in not representing a file (IOException will be nested)
Since:
  Twitter4J 2.1.11
See Also:
  POST account/update_profile_image | Twitter Developers

#### getBlocksList

    PagableResponseList<User> getBlocksList()
                                     throws TwitterException

Returns a list of user objects that the authenticating user is blocking.
This method calls https://api.twitter.com/1.1/blocks/blocking.json

Returns:
  a list of user objects that the authenticating user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.4
See Also:
  GET blocks/blocking | Twitter Developers

#### getBlocksList

    PagableResponseList<User> getBlocksList(long cursor)
                                     throws TwitterException

Returns a list of user objects that the authenticating user is blocking.
This method calls https://api.twitter.com/1.1/blocks/blocking.json

Parameters:
  `cursor` - Causes the list of blocked users to be broken into pages of no more than 5000 IDs at a time. The number of IDs returned is not guaranteed to be 5000 as suspended users are filtered out after connections are queried. If no cursor is provided, a value of -1 will be assumed, which is the first "page."
Returns:
  a list of user objects that the authenticating user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.4
See Also:
  GET blocks/blocking | Twitter Developers

#### getBlocksIDs

    IDs getBlocksIDs()
              throws TwitterException

Returns an array of numeric user ids the authenticating user is blocking.
This method calls https://api.twitter.com/1.1/blocks/ids

Returns:
  Returns an array of numeric user ids the authenticating user is blocking.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.4
See Also:
  GET blocks/ids | Twitter Developers

#### getBlocksIDs

    IDs getBlocksIDs(long cursor)
              throws TwitterException

Returns an array of numeric user ids the authenticating user is blocking.
This method calls https://api.twitter.com/1.1/blocks/ids

Parameters:
  `cursor` - cursor
Returns:
  Returns an array of numeric user ids the authenticating user is blocking.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  GET blocks/ids | Twitter Developers

#### createBlock

    User createBlock(long userId)
              throws TwitterException

Blocks the user specified in the ID parameter as the authenticating user. Returns the blocked user in the requested format when successful.
This method calls https://api.twitter.com/1.1/blocks/create/[id].json

Parameters:
  `userId` - the ID of the user to block
Returns:
  the blocked user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  POST blocks/create | Twitter Developers

#### createBlock

    User createBlock(String screenName)
              throws TwitterException

Blocks the user specified in the ID parameter as the authenticating user. Returns the blocked user in the requested format when successful.
This method calls https://api.twitter.com/1.1/blocks/create/[id].json

Parameters:
  `screenName` - the screen_name of the user to block
Returns:
  the blocked user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.1
See Also:
  POST blocks/create | Twitter Developers

#### destroyBlock

    User destroyBlock(long userId)
               throws TwitterException

Un-blocks the user specified in the ID parameter as the authenticating user. Returns the un-blocked user in the requested format when successful.
This method calls https://api.twitter.com/1.1/blocks/destroy/[id].json

Parameters:
  `userId` - the ID of the user to block
Returns:
  the unblocked user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.1
See Also:
  POST blocks/destroy | Twitter Developers

#### destroyBlock

    User destroyBlock(String screen_name)
               throws TwitterException

Un-blocks the user specified in the ID parameter as the authenticating user. Returns the un-blocked user in the requested format when successful.
This method calls https://api.twitter.com/1.1/blocks/destroy/[id].json

Parameters:
  `screen_name` - the screen_name of the user to block
Returns:
  the unblocked user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.1
See Also:
  POST blocks/destroy | Twitter Developers

#### getMutesList

    PagableResponseList<User> getMutesList(long cursor)
                                    throws TwitterException

Returns a list of user objects that the authenticating user is muting.
This method calls https://api.twitter.com/1.1/mutes/users/list

Parameters:
  `cursor` - Causes the list of muted users to be broken into pages of no more than 5000 IDs at a time. The number of IDs returned is not guaranteed to be 5000 as suspended users are filtered out after connections are queried. If no cursor is provided, a value of -1 will be assumed, which is the first "page."
Returns:
  a list of user objects that the authenticating user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.2
See Also:
  GET blocks/blocking | Twitter Developers

#### getMutesIDs

    IDs getMutesIDs(long cursor)
             throws TwitterException

Returns an array of numeric user ids the authenticating user is muting.
This method calls https://api.twitter.com/1.1/mutes/users/ids

Parameters:
  `cursor` - Causes the list of muted users to be broken into pages of no more than 5000 IDs at a time. The number of IDs returned is not guaranteed to be 5000 as suspended users are filtered out after connections are queried. If no cursor is provided, a value of -1 will be assumed, which is the first "page."
Returns:
  Returns an array of numeric user ids the authenticating user is muting.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.2
See Also:
  GET blocks/ids | Twitter Developers

#### createMute

    User createMute(long userId)
             throws TwitterException

Mutes the user specified in the ID parameter as the authenticating user. Returns the muted user in the requested format when successful.
This method calls https://api.twitter.com/1.1/mutes/users/create

Parameters:
  `userId` - the user_id of the user to mute
Returns:
  the muted user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.2
See Also:
  POST mutes/users/create | Twitter Developers

#### createMute

    User createMute(String screenName)
             throws TwitterException

Mutes the user specified in the screen name parameter as the authenticating user. Returns the muted user in the requested format when successful.
This method calls https://api.twitter.com/1.1/mutes/users/create

Parameters:
  `screenName` - the screen_name of the user to mute
Returns:
  the muted user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.2
See Also:
  POST mutes/users/create | Twitter Developers

#### destroyMute

    User destroyMute(long userId)
              throws TwitterException

Un-mutes the user specified in the ID parameter as the authenticating user. Returns the un-muted user in the requested format when successful.
This method calls https://api.twitter.com/1.1/mutes/users/destroy

Parameters:
  `userId` - the ID of the user to mute
Returns:
  the unmuted user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.2
See Also:
  POST mutes/users/destroy | Twitter Developers

#### destroyMute

    User destroyMute(String screenName)
              throws TwitterException

Un-mutes the user specified in the screen name parameter as the authenticating user. Returns the un-muted user in the requested format when successful.
This method calls https://api.twitter.com/1.1/mutes/users/destroy

Parameters:
  `screenName` - the screen_name of the user to mute
Returns:
  the unmuted user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.2
See Also:
  POST mutes/users/destroy | Twitter Developers

#### lookupUsers

    ResponseList<User> lookupUsers(long... ids)
                            throws TwitterException

Return up to 100 users worth of extended information, specified by either ID, screen name, or combination of the two. The author's most recent status (if the authenticating user has permission) will be returned inline.
This method calls https://api.twitter.com/1.1/users/lookup.json

Parameters:
  `ids` - Specifies the IDs of the users to return.
Returns:
  users
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.1
See Also:
  GET users/lookup | Twitter Developers

#### lookupUsers

    ResponseList<User> lookupUsers(String... screenNames)
                            throws TwitterException

Return up to 100 users worth of extended information, specified by either ID, screen name, or combination of the two. The author's most recent status (if the authenticating user has permission) will be returned inline.
This method calls https://api.twitter.com/1.1/users/lookup.json

Parameters:
  `screenNames` - Specifies the screen names of the users to return.
Returns:
  users
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.1
See Also:
  GET users/lookup | Twitter Developers

#### showUser

    User showUser(long userId)
           throws TwitterException

Returns extended information of a given user, specified by ID or screen name as per the required id parameter. The author's most recent status will be returned inline.
This method calls https://api.twitter.com/1.1/users/show.json

Parameters:
  `userId` - the ID of the user for whom to request the detail
Returns:
  users
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  GET users/show | Twitter Developers

#### showUser

    User showUser(String screenName)
           throws TwitterException

Returns extended information of a given user, specified by ID or screen name as per the required id parameter. The author's most recent status will be returned inline.
This method calls https://api.twitter.com/1.1/users/show.json

Parameters:
  `screenName` - the screen name of the user for whom to request the detail
Returns:
  User
Throws:
  `TwitterException` - when Twitter service or network is unavailable
See Also:
  GET users/show | Twitter Developers

#### searchUsers

    ResponseList<User> searchUsers(String query,
                                   int page)
                            throws TwitterException

Run a search for users similar to the Find People button on Twitter.com; the same results returned by people search on Twitter.com will be returned by using this API.
Usage note: It is only possible to retrieve the first 1000 matches from this API.
This method calls https://api.twitter.com/1.1/users/search.json

Parameters:
  `query` - The query to run against people search.
  `page` - Specifies the page of results to retrieve. Number of statuses per page is fixed to 20.
Returns:
  the list of Users matches the provided
Throws:
  `TwitterException` - when Twitter service or network is unavailable
See Also:
  GET users/search | Twitter Developers

#### getContributees

    ResponseList<User> getContributees(long userId)
                                throws TwitterException

Returns an array of users that the specified user can contribute to.

Parameters:
  `userId` - The user id of the user for whom to return results for
Returns:
  list of contributors
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  GET users/contributors | Twitter Developers

#### getContributees

    ResponseList<User> getContributees(String screenName)
                                throws TwitterException

Returns an array of users that the specified user can contribute to.

Parameters:
  `screenName` - The screen name of the user for whom to return results for
Returns:
  list of contributors
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  GET users/contributors | Twitter Developers

#### getContributors

    ResponseList<User> getContributors(long userId)
                                throws TwitterException

Returns an array of users who can contribute to the specified account.

Parameters:
  `userId` - The user id of the user for whom to return results for
Returns:
  list of contributors
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  GET users/contributors | Twitter Developers

#### getContributors

    ResponseList<User> getContributors(String screenName)
                                throws TwitterException

Returns an array of users who can contribute to the specified account.

Parameters:
  `screenName` - The screen name of the user for whom to return results for
Returns:
  list of contributors
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  GET users/contributors | Twitter Developers

#### removeProfileBanner

    void removeProfileBanner()
                      throws TwitterException

Removes the uploaded profile banner for the authenticating user. Returns HTTP 200 upon success.
This method calls https://api.twitter.com/1.1/account/remove_profile_banner.json

Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  POST account/remove_profile_banner | Twitter Developers

#### updateProfileBanner

    void updateProfileBanner(File image)
                      throws TwitterException

Uploads a profile banner on behalf of the authenticating user. For best results, upload an <5MB image that is exactly 1252px by 626px. Images will be resized for a number of display options. Users with an uploaded profile banner will have a profile_banner_url node in their Users objects. More information about sizing variations can be found in User Profile Images and Banners.
Profile banner images are processed asynchronously. The profile_banner_url and its variant sizes will not necessary be available directly after upload.
This method calls https://api.twitter.com/1.1/account/update_profile_banner.json

Parameters:
  `image` - For best results, upload an <5MB image that is exactly 1252px by 626px.
Throws:
  `TwitterException` - when Twitter service or network is unavailable, or when the specified file is not found (FileNotFoundException will be nested), or when the specified file object in not representing a file (IOException will be nested)
Since:
  Twitter4J 3.0.0
See Also:
  POST account/update_profile_banner | Twitter Developers

#### updateProfileBanner

    void updateProfileBanner(InputStream image)
                      throws TwitterException

Uploads a profile banner on behalf of the authenticating user. For best results, upload an <5MB image that is exactly 1252px by 626px. Images will be resized for a number of display options. Users with an uploaded profile banner will have a profile_banner_url node in their Users objects. More information about sizing variations can be found in User Profile Images and Banners.
Profile banner images are processed asynchronously. The profile_banner_url and its variant sizes will not necessary be available directly after upload.
This method calls https://api.twitter.com/1.1/account/update_profile_banner.json

Parameters:
  `image` - For best results, upload an <5MB image that is exactly 1252px by 626px.
Throws:
  `TwitterException` - when Twitter service or network is unavailable, or when the specified file is not found (FileNotFoundException will be nested), or when the specified file object in not representing a file (IOException will be nested)
Since:
  Twitter4J 3.0.0
See Also:
  POST account/update_profile_banner | Twitter Developers